#define  USE_HY17M24_2M
/******************************************************************************
 * Demo_BIE.c                                                        *
 * -------------------------------------------------------------------------- *
 * Copyright 2019 HYCON Technology                                            *
 * http://www.hycontek.com/                                                   *
 *                                                                            *
 * Program Description:                                                       *
 *                                                                            *
 * For External Input                                                         *
 * IC Body: HY17M24                                                           *

 ******************************************************************************/
/*----------------------------------------------------------------------------*/
/* Includes                                                                   */
/*----------------------------------------------------------------------------*/
#include <SFRType.h>
#include <BIE.h>
#include <RST.h>


/*----------------------------------------------------------------------------*/
/* DEFINITIONS                                                                */
/*----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------*/
/* Function PROTOTYPES                                                        */
/*----------------------------------------------------------------------------*/
void EEDATA_Write(void);
void EEDATA_CLR(void);
/*----------------------------------------------------------------------------*/
/* Global CONSTANTS                                                           */
/*----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------*/
/* Main Function                                                              */
/*----------------------------------------------------------------------------*/
void main(void)
{
    unsigned char i;
    //PT1.0 HW Reset Function Enable
    PT10_HWResetEnable();

    BIE2_Enable();			//BIE2 ENABLE
    EEDATA_Write();

    BIE2_DataWriter();		//write data to EEPROM

    EEDATA_CLR();        //CLR EERD0~EERD31

    BIE2_DataRead();		//Reload EERD0~EERD31 from Information 2

    while(1);
}

/*----------------------------------------------------------------------------*/
/* Subroutine Function                                                        */
/*----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------*/
/* EPROM DATA WRITE                                                 */
/*----------------------------------------------------------------------------*/
void EEDATA_Write(void)		// EERD0~EERD31 is EEPROM data register
{
	unsigned char i=0x00;
	EERD0 = i++;	EERD1 = i++;	EERD2 = i++;	EERD3 = i++;
	EERD4 = i++;	EERD5 = i++;	EERD6 = i++;	EERD7 = i++;
	EERD8 = i++;	EERD9 = i++;	EERD10 = i++;	EERD11 = i++;
	EERD12 = i++;	EERD13 = i++;	EERD14 = i++;	EERD15 = i++;
	EERD16 = i++;	EERD17 = i++;	EERD18 = i++;	EERD19 = i++;
	EERD20 = i++;	EERD21 = i++;	EERD22 = i++;	EERD23 = i++;
	EERD24 = i++;	EERD25 = i++;	EERD26 = i++;	EERD27 = i++;
	EERD28 = i++;	EERD29 = i++;	EERD30 = i++;	EERD31 = i++;
}

/*----------------------------------------------------------------------------*/
/* EPROM DATA CLR                                                 */
/*----------------------------------------------------------------------------*/
void EEDATA_CLR(void)		//CLR EERD0~EERD31 data
{
	EERD0 = 0;	EERD1 = 0;	EERD2 = 0;	EERD3 = 0;
	EERD4 = 0;	EERD5 = 0;	EERD6 = 0;	EERD7 = 0;
	EERD8 = 0;	EERD9 = 0;	EERD10 = 0;	EERD11 = 0;
	EERD12 = 0;	EERD13 = 0;	EERD14 = 0;	EERD15 = 0;
	EERD16 = 0;	EERD17 = 0;	EERD18 = 0;	EERD19 = 0;
	EERD20 = 0;	EERD21 = 0;	EERD22 = 0;	EERD23 = 0;
	EERD24 = 0;	EERD25 = 0;	EERD26 = 0;	EERD27 = 0;
	EERD28 = 0;	EERD29 = 0;	EERD30 = 0;	EERD31 = 0;
}

/*----------------------------------------------------------------------------*/
/* End Of File                                                                */
/*----------------------------------------------------------------------------*/
