#define  USE_HY17M24_2M
/******************************************************************************
 * DAC.c                                                        *
 * -------------------------------------------------------------------------- *
 * Copyright 2019 HYCON Technology                                            *
 * http://www.hycontek.com/                                                   *
 *                                                                            *
 * Program Description:                                                       *
 *                                                                            *
 *      HY17M24                                                                      *
 * -----------------                                                                            *
 *                     |                                                          *
 *                     |                                                      *
 *           PT1.4|-> DACO                                                                *
 *                     |                                                       *
 *                     |                                                       *
 *------------------                                                                    *
 *                                                                              *
 * For External Input                                                         *
 * IC Body: HY17M24                                                           *

 ******************************************************************************/
/*----------------------------------------------------------------------------*/
/* Includes                                                                   */
/*----------------------------------------------------------------------------*/
#include <SFRType.h>
#include <PWR.h>
#include <GPIO.h>
#include <RST.h>
#include <ADC.h>
#include <CLK.h>
#include <ladder.h>
/*----------------------------------------------------------------------------*/
/* DEFINITIONS                                                                */
/*----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------*/
/* Function PROTOTYPES                                                        */
/*----------------------------------------------------------------------------*/
void Delay(unsigned int num);
/*----------------------------------------------------------------------------*/
/* Global CONSTANTS                                                           */
/*----------------------------------------------------------------------------*/
unsigned int i,dabit=0;
/*----------------------------------------------------------------------------*/
/* Main Function                                                              */
/*----------------------------------------------------------------------------*/
void main(void)
{

////	CPU CLK Init		//
    CLK_CPUCKOpen(HAOM_2MHZ ,OSCS_HAO ,DHS_HSCKDIV1 ,CPUS_DHSCK );  //Please refer to the Datasheet for HAOM center frequency

////    VDDA setup    //
    PWR_BGREnable();					//bandgap Vref Enable
    PWR_VDDAOpen(LDOC_2V4);	//VDDA Enable, refer to the Datasheet for LDOC typical voltage
    PWR_LDOMode(LDOM_VDD);
    Delay(500);    //Delay 10ms

////	ACMint ENABLE	//
//	REFOI_ACMint_Open(SELVIN_1V2);

////	REFOint ENABLE 	//
//	REFOI_REFOint_Open(REFOS_1V2);

////	DAC Init		//
    DAC_Open(LDOC_2V9,DAPS_VDDA,DANS_VSS, dabit);

	while(1)
	{
        for(dabit=0;dabit< 4096;dabit++)
        {
            DACBitH = dabit >> 8;				//	DABIT[11:0]
            DACBitL = dabit & 0xff;
            Delay(100);
        }
	}

}

/*----------------------------------------------------------------------------*/
/* Subroutine Function                                                        */
/*----------------------------------------------------------------------------*/
/*----------------------------------------------------------------------------*/
/* Software Delay Subroutines                                                 */
/*----------------------------------------------------------------------------*/
void Delay(unsigned int num)
{
	for(;num>0;num--)
    __asm__("NOP");
}

/*----------------------------------------------------------------------------*/
/* End Of File                                                                */
/*----------------------------------------------------------------------------*/
