#define  USE_HY17M24_2M
/******************************************************************************
 * TMA.c                                                        *
 * -------------------------------------------------------------------------- *
 * Copyright 2019 HYCON Technology                                            *
 * http://www.hycontek.com/                                                   *
 *                                                                            *
 * Program Description:                                                       *
 *                                                                            *
 *                                                                            *
 *                                                                            *
 *                                                                            *
 *                                                                            *
 *                                                                            *
 * For External Input                                                         *
 * IC Body: HY17M24                                                           *
 ******************************************************************************/
 /*----------------------------------------------------------------------------*/
/* Includes                                                                   */
/*----------------------------------------------------------------------------*/
#include <SFRType.h>
#include <INT.h>
#include <CLK.h>
#include <GPIO.h>
#include <RST.h>
#include <TMR.h>
/*----------------------------------------------------------------------------*/
/* Global CONSTANTS                                                           */
/*----------------------------------------------------------------------------*/
unsigned char tma_flag=0,tmac_flag=0;
/*----------------------------------------------------------------------------*/
/* Main Function                                                              */
/*----------------------------------------------------------------------------*/
void main(void)
{

//******PT1.0 HW Reset Function Ensable**********//
    PT10_HWResetEnable();

//***** setting CPU CLK *********//
    //Please refer to the Datasheet for HAOM center frequency
	CLK_CPUCKOpen(HAOM_2MHZ,OSCS_HAO,DHS_HSCKDIV1,CPUS_DHSCK);
    CLK_DMSCKSelect(DMS_DHSCKDIV2);  //DMS_CK= HAO/DHS/DMS
//***** setting GPIO *********//
	GPIO_PT3InputEnable(PT33_H);        //PT33 Digital mode
	GPIO_PT3OutputMode(PT33_H);            //PT33 Output mode
	GPIO_PT3OutputLow(PT33_H);        //PT33 Output Low

	GPIO_PT3InputEnable(PT34_H);        //PT34 Digital mode
	GPIO_PT3OutputMode(PT34_H);            //PT34 Output mode
	GPIO_PT3OutputLow(PT34_H);        //PT34 Output Low

//***** setting the timer A *********//
	TMA_Open(TMAS1_DMSCK,DTMA1_TMA1CKDIV2,4); //TMA SETTING
                                              //TMA_Flag(us)=1/(((((HAO/DHS)/DMS))/256)/DTMA1)
                                              //TMAC_Flag(us)=TMA_Flag*TMA1C
//***** Enable TMA INT *********//
	GIE_Enable();
	TA1CIF_ClearFlag();
	TA1CIE_Enable();
	ADCIE_Enable();
	TA1IF_ClearFlag();
	TA1IE_Enable();


	while(1);

}

/*----------------------------------------------------------------------------*/
/* Interrupt Service Routines                                                 */
/*----------------------------------------------------------------------------*/
void ISR(void) __interrupt
{
	if(TA1IF_IsFlag())       //TA1IF=1,TMA1R++
    {
        	tma_flag=~tma_flag;
        	if(tma_flag)
        	GPIO_PT3OutputHigh(PT33_H);            //PT33 Output High
        	else
        	GPIO_PT3OutputLow(PT33_H);        //PT33 Output Low
        	TA1IF_ClearFlag();
    }

	if(TA1CIF_IsFlag())        //TMA1C=TMA1R ,then TA1CIF=1
    {
        	tmac_flag=~tmac_flag;
        	if(tmac_flag)
        	GPIO_PT3OutputHigh(PT34_H);            //PT34 Output High
        	else
        	GPIO_PT3OutputLow(PT34_H);        //PT34 Output Low
        	TMA1_ClearTMA1();        //clear TMA1R
        	TA1CIF_ClearFlag();
	}

}
/*---------------------------------------------------------------------------*/
/* End Of File                                                               */
/*---------------------------------------------------------------------------*/
