#define  USE_HY17M24_2M
/******************************************************************************
 * WDT_MAIN.c                                                        *
 * -------------------------------------------------------------------------- *
 * Copyright 2019 HYCON Technology                                            *
 * http://www.hycontek.com/                                                   *
 *                                                                            *
 * Program Description:                                                       *
 *                                                                            *
 *                                                                            *
 *                                                                            *
 *                                                                            *
 *                                                                            *
 *                                                                            *
 * For External Input                                                         *
 * IC Body: HY17M24                                                           *
 ******************************************************************************/
/*----------------------------------------------------------------------------*/
/* Includes                                                                   */
/*----------------------------------------------------------------------------*/
#include <SFRType.h>
#include <WDT.h>
#include <CLK.h>
#include <INT.h>
#include <RST.h>
#include <GPIO.h>
/*----------------------------------------------------------------------------*/
/* DEFINITIONS                                                                */
/*----------------------------------------------------------------------------*/
//#define Normal_mode  //	WDT Reset AND TO=1
#define Idle_mode  // WDT Interrupt
/*----------------------------------------------------------------------------*/
/* Global CONSTANTS                                                           */
/*----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------*/
/* Main Function                                                              */
/*----------------------------------------------------------------------------*/
void main(void)
{

    PT10_HWResetEnable();    //PT1.0 HW Reset Function Ensable

//************Setting CPU CLK**********************//
    //Please refer to the Datasheet for HAOM center frequency
    CLK_CPUCKOpen(HAOM_2MHZ ,OSCS_HAO ,DHS_HSCKDIV1 ,CPUS_DHSCK);	//CPU CLK SETTING

//*************Setting GPIO***********************//
    GPIO_PT3InputEnable(IN33_H | IN34_H);	//PT33.PT34 Digital mode Enable
    GPIO_PT3OutputMode(TC33_H);  				//PT33 Output mode Enable
    GPIO_PT3OutputLow(PT33_MSK); 				 //PT33 Output Low

    GPIO_PT3OutputMode(TC34_H);  				//PT34 Output mode Enable
    GPIO_PT3OutputLow(PT34_MSK);  				//PT34 Output Low

//************Setting WDT************************//
    WDT_Open(DWDT_WDTCKDIV8192); 		 //WDT Open
    WDT_Clear();  // CLEAR WDT COUNT

#ifdef Normal_mode		//At Normal mode ,if WDT overflow, system will be reset.

    if(SYS_ReadWDT())  // TO=1,mean system has reset
    {
        SYS_ClearWDT();		//CLR TO Flag
        GPIO_PT3OutputHigh(IN33_H);
    }
    while(1)
    {
        //WDT_Clear();             	// If WDT count clear,system will not reset.
        __asm__("NOP");
    }
#endif

    WDT_Clear();  // CLEAR WDT COUNT

#ifdef Idle_mode			//At Idle mode ,if WDT overflow, occurrence Interrupt.
    WDTIE_Enable();
    GIE_Enable();
    while(1)
	{
        __asm__("NOP");

	    Idle();  //  IDLE mode Enable

        __asm__("NOP");

	}

#endif

}
/*----------------------------------------------------------------------------*/
/* Interrupt Service Routines                                                 */
/*----------------------------------------------------------------------------*/
void ISR(void) __interrupt  //WDT Reset
{
	WDTIF_ClearFlag();
	SYS_ClearIDLE();	//CLR IDLE Flag
	WDT_Clear();		//CLR WDT count0.
	GPIO_PT3OutputHigh(PT34_H);
}
